GDCM 3.2.1

Public Member Functions | Public Attributes | List of all members
gdcm::FileWithName Class Reference

FileWithName. More...

`#include <gdcmSerieHelper.h>`

Inheritance diagram for gdcm::FileWithName:
[legend]
Collaboration diagram for gdcm::FileWithName:
[legend]

## Public Member Functions
| FileWithName (File &f)
Public Member Functions inherited from gdcm::File
| File ()
| ~File () override
DataSet & | GetDataSet ()
| Get Data Set.
const DataSet & | GetDataSet () const
| Get Data Set.
FileMetaInformation & | GetHeader ()
| Get File Meta Information.
const FileMetaInformation & | GetHeader () const
| Get File Meta Information.
std::istream & | Read (std::istream &is)
| Read.
void | SetDataSet (const DataSet &ds)
| Set Data Set.
void | SetHeader (const FileMetaInformation &fmi)
| Set File Meta Information.
std::ostream const & | Write (std::ostream &os) const
| Write.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Public Attributes
std::string | filename

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

FileWithName.

Backward only class do not use in newer code

## Constructor & Destructor Documentation

## ◆ FileWithName()

gdcm::FileWithName::FileWithName | ( | File & | f | ) |
| inline

References gdcm::File::File(), and filename.

## Member Data Documentation

## ◆ filename

std::string gdcm::FileWithName::filename

Referenced by FileWithName().

The documentation for this class was generated from the following file:

- gdcmSerieHelper.h